Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
Class NodePrinter

A simple antlr AST visitor that outputs the tokenName of each node in a pseudo xml style.

author:
  Jeremy Rayner

version:
  $Revision: 6778 $

Field Summary
`PrintStream` | `out`
`def` | `tokenNames`

Constructor Summary
`NodePrinter(PrintStream out, def tokenNames)` A visitor that prints a pseudo xml output to the supplied PrintStream

Method Summary
`void` | `visitDefault(GroovySourceAST t, int visit)`

Constructor Detail

### NodePrinter

    public NodePrinter(PrintStream out, def tokenNames)

  A visitor that prints a pseudo xml output to the supplied PrintStream
  param:
    out supplied PrintStream to output nodes to
  param:
    tokenNames an array of token names to use

Method Detail

### visitDefault

    public void visitDefault(GroovySourceAST t, int visit)